## ros-indigo-swri-rospy 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(swri_rospy)

find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()

catkin_install_python(PROGRAMS nodes/single_threaded_example
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-rospy (2.8.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-rospy (2.7.3-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-rospy (2.7.2-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-rospy (2.7.1-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-rospy (2.7.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-rospy (2.6.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-rospy (2.5.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.edu>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-rospy (2.4.0-0trusty) trusty; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.edu>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-rospy (2.3.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-rospy (2.2.1-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-rospy (2.2.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-rospy (2.1.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-rospy (2.0.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-rospy (1.2.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-rospy (1.1.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-rospy (1.0.0-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-rospy (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Ed Venator <evenator@swri.edu>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-rospy (0.0.14-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-rospy (0.0.13-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-rospy (0.0.12-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Sun, 14 Aug 2016 05:00:00 -0000

ros-indigo-swri-rospy (0.0.11-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 13 May 2016 05:00:00 -0000

ros-indigo-swri-rospy (0.0.10-0trusty) trusty; urgency=high

  * Adds swri_rospy subclasses for Subscriber, Service, and Timer
    These classes are drop-in replacements for their rospy counterparts,
    except that their constructor has an additional parameter
    asynchronous, which defaults to False. If asynchronous is false, the
    callback is wrapped with the single_threaded decorator. (This means
    that all of these classes use the single-thread callback queue by
    default.)
    Also, swri_rospy.spin is now injected into the rospy namespace to
    override rospy.spin. This is done to prevent users from accidentally
    using rospy.spin, which does not process the callback queue.
  * Adds deadlock protection to single_threaded decorator.
    Decorating a function with single_threaded more than once would cause the
    callback queue to deadlock. This prevents recursive decoration.
  * Adds exception handling to single_threaded decorator.
  * Makes single_threaded decorator work for arbitrary ags
  * Adds service_wrapper decorator.
    Also fixes line endings.
  * Updates swri_rospy single_threaded example.
    Also fixes line-endings.
  * Creates a new package swri_rospy.
    swri_rospy adds a new callback-based subscription, timer, and service
    capability to rospy.
  * Contributors: Ed Venator, Edward Venator
  * Adds swri_rospy subclasses for Subscriber, Service, and Timer
    These classes are drop-in replacements for their rospy counterparts,
    except that their constructor has an additional parameter
    asynchronous, which defaults to False. If asynchronous is false, the
    callback is wrapped with the single_threaded decorator. (This means
    that all of these classes use the single-thread callback queue by
    default.)
    Also, swri_rospy.spin is now injected into the rospy namespace to
    override rospy.spin. This is done to prevent users from accidentally
    using rospy.spin, which does not process the callback queue.
  * Adds deadlock protection to single_threaded decorator.
    Decorating a function with single_threaded more than once would cause the
    callback queue to deadlock. This prevents recursive decoration.
  * Adds exception handling to single_threaded decorator.
  * Makes single_threaded decorator work for arbitrary ags
  * Adds service_wrapper decorator.
    Also fixes line endings.
  * Updates swri_rospy single_threaded example.
    Also fixes line-endings.
  * Creates a new package swri_rospy.
    swri_rospy adds a new callback-based subscription, timer, and service
    capability to rospy.
  * Contributors: Ed Venator

 -- Ed Venator <evenator@swri.edu>  Thu, 12 May 2016 05:00:00 -0000

ros-indigo-swri-rospy (0.0.9-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Fri, 04 Mar 2016 06:00:00 -0000

ros-indigo-swri-rospy (0.0.8-0trusty) trusty; urgency=high



 -- Ed Venator <evenator@swri.edu>  Wed, 06 Jan 2016 06:00:00 -0000



=== debian/control ===
Source: ros-indigo-swri-rospy
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swri-rospy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: This package provides added functionaliy on top of rospy, including a single-threaded callback queue.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-rospy//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
